Remove 'browser default' as an option for the 'editfont' user preference option
Closed, ResolvedPublic

Description

Some browsers have different default textarea fonts than others, so there currently is an option for users to simply use whatever that is in lieu of anything specific.

This causes problems for things which normalise fonts or define their own font stacks (such as OOjs UI and various skins), as it becomes no longer possible to maintain consistent fonts throughout the interface when one random part is explicitly not using the usual fonts. If users want a particular font (such as whatever is equivalent to their usual browser), they should just set their preference to that in general (if they want sans serif, they should just set it to that).

The current options become these classes:

  • mw-editfont-default
  • mw-editfont-monospace
  • mw-editfont-sans-serif
  • mw-editfont-serif

Note: default is not just an option, but is currently was before August 2017 the default setting for the 'editfont' preference.

Isarra created this task.Jul 11 2017, 1:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2017, 1:11 AM
Isarra updated the task description. (Show Details)Jul 12 2017, 3:58 PM
Isarra removed a project: OOjs-UI.
demon added a subscriber: demon.Aug 2 2017, 5:41 AM

I'm curious about usage stats on this preference generally, at least across large.dblist.

Jdforrester-WMF triaged this task as Low priority.Aug 21 2017, 5:28 PM
Jdforrester-WMF updated the task description. (Show Details)

I'm curious about usage stats on this preference generally, at least across large.dblist.

As until wmf.15 rolls out this is the default value, it's all but a few thousand accounts. Specifically, for enwiki:

mysql:research@analytics-store.eqiad.wmnet [enwiki]> SELECT up_property, up_value, COUNT(up_value) FROM user_properties WHERE up_property="editfont" GROUP BY up_value LIMIT 10;
+-------------+------------+-----------------+
| up_property | up_value   | COUNT(up_value) |
+-------------+------------+-----------------+
| editfont    | monospace  |            2822 |
| editfont    | sans-serif |            3514 |
| editfont    | serif      |            1107 |
+-------------+------------+-----------------+
3 rows in set (45.60 sec)
mysql:research@analytics-store.eqiad.wmnet [dewiki]> SELECT up_property, up_value, COUNT(up_value) FROM user_properties WHERE up_property="editfont" GROUP BY up_value LIMIT 10;
+-------------+------------+-----------------+
| up_property | up_value   | COUNT(up_value) |
+-------------+------------+-----------------+
| editfont    | monospace  |             366 |
| editfont    | sans-serif |             201 |
| editfont    | serif      |             126 |
+-------------+------------+-----------------+
3 rows in set (3.60 sec)
mysql:research@analytics-store.eqiad.wmnet [frwiki]> SELECT up_property, up_value, COUNT(up_value) FROM user_properties WHERE up_property="editfont" GROUP BY up_value LIMIT 10;
+-------------+------------+-----------------+
| up_property | up_value   | COUNT(up_value) |
+-------------+------------+-----------------+
| editfont    | monospace  |             170 |
| editfont    | sans-serif |             120 |
| editfont    | serif      |              77 |
+-------------+------------+-----------------+
3 rows in set (2.28 sec)
mysql:research@analytics-store.eqiad.wmnet [eswiki]> SELECT up_property, up_value, COUNT(up_value) FROM user_properties WHERE up_property="editfont" GROUP BY up_value LIMIT 10;
+-------------+------------+-----------------+
| up_property | up_value   | COUNT(up_value) |
+-------------+------------+-----------------+
| editfont    | monospace  |             204 |
| editfont    | sans-serif |             194 |
| editfont    | serif      |             109 |
+-------------+------------+-----------------+
3 rows in set (1.98 sec)

Honestly, with these numbers we might as well just kill the preference entirely, given the cost to every user of each preference.

Change 373932 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Remove 'Browser default' editfont option

https://gerrit.wikimedia.org/r/373932

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 5:36 PM

Change 373934 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/CodeMirror@master] Remove reference to editfont-default

https://gerrit.wikimedia.org/r/373934

Change 373935 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Remove reference to editfont-default

https://gerrit.wikimedia.org/r/373935

jeblad removed a subscriber: jeblad.Aug 25 2017, 9:34 PM

Yes, let's, before people starting using it!

Added to Tech/News 41 (so will go out on 9 October 2017); merge after the cut on 3 October.

Jdforrester-WMF closed this task as Resolved.Tue, Oct 3, 6:37 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 373932 merged by jenkins-bot:
[mediawiki/core@master] Remove 'Browser default' editfont option

https://gerrit.wikimedia.org/r/373932

Change 373935 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove reference to editfont-default

https://gerrit.wikimedia.org/r/373935

Change 373934 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Remove reference to editfont-default

https://gerrit.wikimedia.org/r/373934